Navigation
Supportsider
Senest Online
helmuth14:55:53
HenningS 1 Uge
wholle 1 Uge
Henrik Bendtsen 3 Uger
afoster 3 Uger
olelau 4 Uger
flj 5 Uger
Christian 5 Uger
Bubbi 5 Uger
iceman50 9 Uger
Besøgende
Gæster online: 6

Brugere online: 0

Antal brugere: 180
Nyeste bruger: Michael Mogensen
Artikelhierarki
Hovedside for artikler » Installationshjælp » Opgradering til nyere version
Opgradering til nyere version
Der kommer hele tiden nye versioner, eller "patches".
Det er vigtigt, at holde sin Fusion opdateret af hensyn til sikkerhed og stabilitet.

Når der kommer en ny version vil den som regel blive annonceret på den lokale og den engelske side.

Den engelske side er den bedste side at hente ny version på, da det er her de kommer først.
Denne artikkel forudsætter at du allerede har en tidligere version af PHP-Fusion kørende, så det vil kun være aktuelt at installere en upgrade; de findes på samme download side.

Jeg vil i dette eksempel gå ud fra, at du kører version 6.01.9, og at du skal opgradere til 6.01.10:

1. Hent upgrade'en fra den engelske side. Den hedder "PHP-Fusion 6.01.10 Update for 6.01.9" og er en zip-fil med navnet 6-01-10up.zip.

2. I zip-filen ligger en filstruktur, som nøje svarer til indholdet af folderen php-files iden fulde installationspakke.
I dette tilfælde indeholder zip'en filen maincore.php samt folderen administration, som indeholder filen upgrade.php.
Du skal kopiere det hele op på din side med FTP og altså overskrive de tilsvarende filer på din server.

3. Gå ind i administration -> Faneblad System -> Opgradering

Du vil da se følgende:
Klik på 'Upgrade', og din side vil blive opgraderet.






Tip 1:
Hvis du har en endnu tidligere version end den umiddelbart under den nyeste, da skal du først downloade og installere de tidligere upgrades, én for én, på samme måde som beskrevet ovenfor, INDeN du upgraderer til den nyeste.

Tip 2:
Hvis du har opgraderet til version 6.01.10, vil du måske opdage, at du kan køre opgraderingen til 6.01.10 igen og igen. Dette skyldes, at versionsnummeret er alfanummerisk, og derfor virker checket ikke helt som den skulle. Dette er kun en "skønhedsfejl" og betyder intet.

Tip 3:
Husk, at slå elementer, som ikke er standard php-fusion, fra under opdateringen.
Jeg kender ingen problemer i den forbindelse, men håndbogen antyder det, så for en sikkerheds skyld...

Tip 4:
Hvis du har en endnu tidligere version end 6.01.1, og altså kører fx. 6.00.x, er der INGeN opgraderingsmulighed, desværre!

Tip 5:
Hvis du er i tvivl om hvilken version du kører, kan du enten gå ind i administrationssiderne; der står det.
Hvis du ikke har administrator-adgang kan du se det på http://minside.dk/maintenance.php

Tekster fra PHP-Fusion.dk må kun gengives med tydelig kildeangivelse og efter tilladelse fra forfatteren.
Skrevet af Yxos d. 22. juni 2007 10:20
Kommentarer
M
#1 makronen

d. 20-08-2007 18:32:29
Bør man afinstallere gamle infusioner før opdatering?

Citer

Tip 3:
Hvis du har en endnu tidligere version end 6.01.1, og altså kører fx. 6.00.x, er der INGEN opgraderingsmulighed, desværre!


Der ser nu da ud til at være indbygget opdateringsmuligheder fra henh. v6.00.1xx, v6.00.2xx og v6.00.3xx i den version der hedder v6.01.11 Grin
Jeg havde bare det "lille" problem at alle mine højre side paneler desværre flyttede ned under midter panelet og der var ingen mulighed for at flytte, andet end op og ned i midter-panelet!
Jeg løste problemet ved at installere højre side panelerne på ny (user_info, poll og shoutbox), hvor jeg kunne få lov at vælge placering til højre! - aktiverede de nye paneler og fjernede de forkert placerede i midtersøjlen ...
Yxos #2 Yxos

d. 06-09-2007 20:44:52
Det har du for så vidt ret i.
I den download der indeholder HELE 6.01.11 (og ikke kun upgrade'n) ligger disse opdateringsmuligheder.

Men de giver en mangelfuld opdatering. Du får kun opdateret dine tabeller i MySQL databasen til "6.01.11 niveau".
Du får IKKE samtidig de opdateringer af fx. maincore.php og andre, som ligger i fx. opgraderingspakken til 6.01.11.
Dem kan du kopiere bagefter fra opgraderingspakkerne:
6.01.4,
6.01.6,
6.01.8,
6.01.9,
6.01.10 og
6.01.11.
Filerne skal kopieres op ét sæt ad gangen og overskrive eksisterende filer.
Du skal IKKE køre "upgrade.php" for hver af disse kopieringer, da din version jo allerede ER sat til 6.01.11 i databasen.

Problemet med højre-panelerne der rykker ind i midten skyldes en ændret betydning af feltet panel_side i tabel fusion_panels:

i 6.00.x var betydningen som følger:
panel_side=1: Venstre
panel_side=2: Midten
panel_side=3: Højre

I 6.01.x er betydningen ændret, da der nu er midt-øverst og midt-nederst:
panel_side=1: Venstre
panel_side=2: Midt-øverst
panel_side=3: Midt-nederst
panel_side=4: Højre

Da dine værdier i tabel fusion_panel for alle dine højre-paner stadig er "3", vil de i version 6.01.x blive vist i midten.

For at kompensere for dette kan du enten slette dem og oprette dem som højre-paneler, eller du kan gå ind via PhpMyAdmin, og rette alle "3" til "4" i tabellen.
jacobjensen #3 jacobjensen

d. 02-11-2007 21:38:51
Igen en fin artikel fra Yxos, blot to erfaringer:

1. Det er rigtig rart have friske backup-filer inden man går igang, så man kan samle op på selv ens seneste mods ...

2. Hvis man har hardcodet link til bestemte brugere, skal man være opmærksom på at opdateringen til version 6.01.12 dobbeltkoder passwordet og så virker de gamle links ikke før man har været i phpmyadmin og finde de nye cifre Wink
M
#4 makronen

d. 15-11-2007 15:43:08
Yxos så først dit svar nu; hvor jeg faktisk blev lidt bekymret for om jeg har fået alle opdateringer med på http://daninfekt.dk .... (http://LymeRICK.net er jeg ikke nået så langt med endnu).
Begge sider har efterhånden har fået tilføjet nogle MODs, f.eks. søg alt (search2.php) og lidt i styles.css i default style.
... men jeg mener faktisk at jeg gennemløb alle opgraderinger en for en på http://daninfekt.dk (lige bortset fra at der var nogle sping i 6.00.X rækken, der forvirrede mig) før jeg nåede til 6.01.11.
De andre opdateringer du nævner - eks. 6.01.4 - ligger vel før 6.01.11, ikke sandt?
Vi har ikke oplevet fejl på siden efter rettelse af paneler på forsiden - altså indtil videre ...

Jeg tager naturligvis backup af filer og database før opgradering og inden jeg MODer i filer gemmer jeg både den originale og MODede version (*-ORIG.php og *-MOD.php foruden den MOD'ede system fil *.php) ... så kan jeg efter opgradering sammenligne med MOD'en og genindføre det der fortsat er behov for ...

... men det begynder desværre at knibe med overblikket / hukommelsen for hvor langt jeg er nået, efterhånden som jeg har opdateret og MOD'et en del filer i flere omgange, ikke mindst fordi jeg har forskellige PHP-Fusion hjemmesider at holde styr på, som ikke er opdateret til højeste niveau endnu; har koncentreret mig om at opdatere http://daninfekt.dk, er bagud med http://LymeRICK.net ...

Har nogen mon et godt tip til hvordan man kan bevare overblikket?
Wink
O
#5 Omally

d. 11-12-2007 21:22:06
Efter opdatering fra version 06-01-08 til 06-01-09 får jeg denne meddelse nederst på min side, efter jeg er logget ind med min brugernavn: "Table 'noerremark_com.fusion_captcha' doesn't exist", desuden siger den at det er forkert brugernavn/password som jeg har brugt ... men alligevel kommer jeg ind til mine adm. sider. Hvad er der sket?? Sad
F
#6 franke

d. 19-12-2007 23:10:15
jeg har samme problem. har kun roddet med nogle element siderSad
M
#7 makronen

d. 30-04-2012 23:41:09
Hvor mange bruger mon stadig v6?
Jeg søgte efter opdatering og fandt denne ældre artikel ...
- som trænger til opdatering Wink
- Tony - #8 - Tony -

d. 02-05-2012 14:47:31
Shock jeg kender kun en
S
#9 stineingmann

d. 05-11-2012 13:24:26
Tak for tippet
Kommentér
Du skal logge ind for at kommentere.
Vurderinger
Du skal være registreret bruger for at kunne vurdere.

Du skal logge indeller oprette dig som bruger for at kunne stemme.

Fantastisk! Fantastisk! 50% [3 Stemmer]
Rigtigt godt Rigtigt godt 50% [3 Stemmer]
Godt Godt 0% [Ingen stemmer]
Hverken godt eller dårligt Hverken godt eller dårligt 0% [Ingen stemmer]
Dårligt Dårligt 0% [Ingen stemmer]
Log ind
Indtast brugernavn

Kodeord



Er du endnu ikke registreret bruger?
Klik her for at oprette dig.

Har du glemt dit kodeord?
Bed om et nyt ved at klikke her.
Replikboks
Du skal være logget ind for at skrive en replik.

helmuth
29-11-2019 10:36
Måske var den her noget: https://www.sean.c
o.uk/a/webdesign/j
avascript_advent_c
alendar/

ovejnielsen
04-11-2019 23:03
Nogen der ved hvor man kan finde et julekalender script?

helmuth
16-02-2019 07:36
@flj: tjek din PB-indbakke ;-)

helmuth
31-12-2018 12:39
Godt nytår til alle danske 'fusionister' Smile

iceman50
31-12-2018 08:56
Godt nytår til alle, og som HenningS skriver: tak for den gode og hurtige hjælp herinde.